ZZIP_CLOSEDIR(3)

NAME
zzip_closedir - stop usage.

SYNOPSIS

#include <zzip/lib.h>

int zzip_closedir((ZZIP_DIR * dir));

DESCRIPTION

The zzip_closedir function is the equivalent of closedir(3) for a realdir or zipfile.

The zzip_closedir function is magic - if the given arg-ZZIP_DIR is a real directory, it will call the real closedir(3) and then free the wrapping ZZIP_DIR structure. Otherwise it will divert to zzip_dir_close which will free the ZZIP_DIR structure.

AUTHOR

    • Guido Draheim <guidod@gmx.de>

COPYRIGHT

Copyright (c) Guido Draheim, use under copyleft (LGPL,MPL)